This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 433189 - colorls.*sh uses undocumented value for --color
colorls.*sh uses undocumented value for --color
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-17 05:05 EST by Ville Skyttä
Modified: 2008-02-18 11:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-18 11:34:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Use --color=auto instead of --color=tty (1.21 KB, patch)
2008-02-17 05:05 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2008-02-17 05:05:53 EST
While "--color=tty" works, "tty" is not a valid value for "--color" according to
both "man ls" and "ls --help"; could be better to use the documented
"--color=auto" instead.  Patch attached.
Comment 1 Ville Skyttä 2008-02-17 05:05:53 EST
Created attachment 295094 [details]
Use --color=auto instead of --color=tty
Comment 2 Ondrej Vasik 2008-02-18 11:34:56 EST
Thanks for suggestion, it's the same option, but documented - so it will be
really good to use it instead of tty. Built as coreutils-6.10-8.fc9 , closing
RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.